Create Account with Set Password

Beta

This endpoint can set the password for user_email which, if set, eliminates the account validation email and the requirement to validate the store prior to users being able to log in to that storeʼs control panel.

Authentication

X-Auth-Clientstring
The client ID of the franchise API account.
OR
X-Auth-Tokenstring
An OAuth token generated from the franchise API account. To authenticate, generate an **OAuth Token** (if you donʼt have one or itʼs expired): ```http POST https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/oauth/token Accept: application/json X-Auth-Client: {client_id} X-Auth-Secret: {client_secret} { "duration": 900 } ``` Response: ```json { "access_token": "dlkJcn34...Lkd012", "expires_at": "2018-04-24T16:15:26.509045122Z” } ``` After you generate an **OAuth token**, use the `client_id` and `oauth_token` to authenticate all other API requests: ```http GET https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/accounts/123 Accept: application/json X-Auth-Client: {client_id} X-Auth-Token: {oauth_token} ``` Response: ```json { "data": { "id": "12345678910", "name": "Test Company", ... }, "meta": {} } ```

Request

This endpoint expects an object.
namestringRequired1-40 characters
Company name for the account and the name displayed at login when a merchant has multiple stores. 40 character limit.
primary_contactobjectRequired
user_emailstringRequired<=255 characters
Email address of user who will be the store owner for the account. Must be unique within BigCommerce system.
localestringOptionalDefaults to en

locale is used when sending email communications (such as account activation emails) to the accountʼs user_email.

passwordstringOptional
Plaintext password

Response

OK